<?php   
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Luzuk Premium
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	
	<link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,700&display=swap" rel="stylesheet">
<!-- <link rel="stylesheet" href="<?php //echo get_template_directory_uri(); ?>/css/owl.carousel.min.css" />
	<link rel="stylesheet" href="<?php //echo get_template_directory_uri(); ?>/css/owl.theme.default.min.css" />
	<link rel="stylesheet" href="<?php //echo get_template_directory_uri(); ?>/css/style-ltr.css" /> -->
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>
	<div class="main-container">
		<!-- <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'Luzuk' ); ?></a> -->
		<div id="loading-area"><div class="la-anim-10"></div></div>
		<!-- header -->

		<?php 
		if( get_theme_mod('pages_logoTmargin',true) ) {
			$pages_logoTmargin = 'padding-top:'.esc_attr(get_theme_mod('pages_logoTmargin')).';';
		}
		if( get_theme_mod('pages_logoBmargin',true) ) {
			$pages_logoBmargin = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logoBmargin')).';';
		}
		if( get_theme_mod('pages_logoLmargin',true) ) {
			$pages_logoLmargin = 'padding-left:'.esc_attr(get_theme_mod('pages_logoLmargin')).';';
		}
		if( get_theme_mod('pages_logoRmargin',true) ) {
			$pages_logoRmargin = 'padding-right:'.esc_attr(get_theme_mod('pages_logoRmargin')).';';
		}

		if( get_theme_mod('RightHeaderTPadding',true) ) {
			$RightHeaderTPadding = 'padding-top:'.esc_attr(get_theme_mod('RightHeaderTPadding')).';';
		}
		if( get_theme_mod('RightHeaderBPadding',true) ) {
			$RightHeaderBPadding = 'padding-bottom:'.esc_attr(get_theme_mod('RightHeaderBPadding')).';';
		}
		?>

		<header class="site-header header-transparent header mo-left header-seo" style="<?php echo esc_attr($pages_logoTmargin); ?>" "<?php echo esc_attr($pages_logoBmargin); ?>" "<?php echo esc_attr($pages_logoLmargin); ?>" "<?php echo esc_attr($pages_logoRmargin); ?>">

			
			<div class="heade-border">
				<?php 
				if( get_theme_mod('pages_logoboxtoppostionset',true) ) {
					$pages_logoboxtoppostionset = 'padding-top:'.esc_attr(get_theme_mod('pages_logoboxtoppostionset')).';';
				}
				
				?>
				<div class="row row-eq-height"> 
					<div class="col-md-3 col-sm-6 col-xs-8 logo"> 
						<div class="inside-full-height">
							<div class="logobox">
								<?php 
								if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
									the_custom_logo();
							else : 
								if ( is_front_page() ) : ?>
									<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
									<?php else : ?>
										<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
									<?php endif; ?>
								<?php endif; ?>
								<!-- .site-branding -->
							</div>
							<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p> 
						</div>
						<div class="clearfix"></div>
					</div>
					<!-- main header -->
					<div class="col-md-9 col-sm-6 col-xs-4 head-menu main-bar-wraper" style="<?php echo esc_attr($RightHeaderTPadding); ?>" "<?php echo esc_attr($RightHeaderBPadding); ?>">
						<div class="col-md-offset-1 inside-full-height">
							<?php
							$facebook = get_theme_mod('header_fb', '//facebook.com/');
							$twitter = get_theme_mod('header_tw', '//twitter.com/');
							$linkedIn = get_theme_mod('header_in', '//linkedin.com/');
							$instagram = get_theme_mod('header_insta', '//www.instagram.com/');
							?>
							<div class="middle-bx">
								<div class="col-md-4 head-social-bx padding0">
									<?php if(!empty($facebook)){ ?>
										<a href="<?php echo $facebook ?>" target="_blank" title="Facebook"><span class="fa fa-facebook"></span></a>
									<?php }?>
									<?php if(!empty($twitter)){ ?>
										<a href="<?php echo $twitter ?>" target="_blank" title="Twitter"><span class="fa fa-twitter"></span></a>
									<?php }?>
									<?php if(!empty($linkedIn)){ ?>
										<a href="<?php echo $linkedIn ?>" target="_blank" title="Linked In"><span class="fa fa-linkedin"></span></a>
									<?php }?>
									<?php if(!empty($instagram)){ ?>
										<a href="<?php echo $instagram ?>" target="_blank" title="Instagram"><span class="fa fa-instagram"></span></a>
									<?php }?>
									
								</div>

								<div class="col-md-8 btn-bx padding0">
									<?php if( get_theme_mod('header1_button_display','show' ) == 'show') :
										?>	
										<?php
										$headerrightExt = get_theme_mod('header_top_btn', 'Get appointment'); 
										$headerrightExtlink = get_theme_mod('header_top_btn_link', '');
										?>
										<button class="button">
											<cite><a href="<?php echo $headerrightExtlink ?>">
												<?php echo ($headerrightExt);  ?>
											</a></cite>  
										</button>
									<?php endif ?>
								</div>
								<div class="clearfix"></div>
							</div>
							<div class="clearfix"></div>
							<div class="main-bar clearfix ">
								<div class="top-bar-head">
									<div class="site-navigation ">
										<div class="hamburger-menus">
											<span></span>
											<span></span>
											<span></span>
											<span></span>
											<span></span>
											<span></span>
											<span></span>
											<span></span>
											<span></span>
										</div>
										<nav class="navigation">
											<div class="overlaybg"></div><!--  /.overlaybg -->
											<!-- Main Menu -->
											<div class="menu-wrapper">
												<div class="menu-content">
													<?php
													if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
														wp_nav_menu ( array(
															'menu_class' => 'mainmenu ht-clearfix',
															'container'=> 'ul',
															'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
															'theme_location' => 'primary',  
														)); 
													} else {
														wp_nav_menu ( array(
															'menu_class' => 'mainmenu ht-clearfix',
															'container'=> 'ul',
															'theme_location' => 'primary',  
														)); 
													}
													?>
												</div> <!-- /.hours-content-->
												<!-- for responsive -->
												<div class="col-md-12 for-resp resp-soc">
													<?php if(!empty($facebook)){ ?>
														<a href="<?php echo $facebook ?>" target="_blank" title="Facebook"><span class="fa fa-facebook"></span></a>
													<?php }?>
													<?php if(!empty($twitter)){ ?>
														<a href="<?php echo $twitter ?>" target="_blank" title="Twitter"><span class="fa fa-twitter"></span></a>
													<?php }?>
													<?php if(!empty($linkedIn)){ ?>
														<a href="<?php echo $linkedIn ?>" target="_blank" title="Linked In"><span class="fa fa-linkedin"></span></a>
													<?php }?>
													<?php if(!empty($instagram)){ ?>
														<a href="<?php echo $instagram ?>" target="_blank" title="Instagram"><span class="fa fa-instagram"></span></a>
													<?php }?>
												</div>

												<div class="col-md-12 for-resp">
													<?php
													$headerrightExt = get_theme_mod('header_top_btn', 'Get appointment'); 
													$headerrightExtlink = get_theme_mod('header_top_btn_link', '');
													?>
													<?php if( get_theme_mod('header1_button_display','show' ) == 'show') :
														?>	
														<button class="button">
															<cite><a href="<?php echo $headerrightExtlink ?>">
																<?php echo ($headerrightExt);  ?>
															</a></cite>
														</button>
													<?php endif ?>

												</div>
												
												<!-- for responsive -->
												

												<div class="clearfix"></div>

											</div><!-- /.menu-wrapper --> 
										</nav>
										<div class="clearfix"></div>
									</div><!--  /.site-navigation -->

								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- main header END -->
				<div class="clearfix"></div>
			</div>
		</header><!-- #masthead -->
	</div>