<?php 
/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author Luzuk <support@luzuk.com>
 * */
/*treatments*/
function treatmentShortCode($pageId = null, $isCustomizer = false, $i = null) {
    ob_start();
    $args = array('post_type' => 'our-treatment'); 
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('treatment_npp_count',7);  
    $treatment_icon1 = get_theme_mod('treatment_icon1'.$i);
    ++$cols;
    switch ($cols) {
       case 1:
       $colCls = 'col-md-12 col-sm-12';
       break;
       case 2:
       case 4: 
       case 8:  
       $colCls = 'col-md-6 col-sm-6';
       break;
       case 3:
       case 5:
       case 6:
       case 7: 
       case 9: 
       case 10:
       case 11:
       case 12:
       $colCls = 'col-md-4 col-sm-6';
       break;
       $colCls = 'col-md-3 col-sm-6';
       break;
       default: 
       $colCls = 'col-md-4 col-sm-6';
       break;
   }
   $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');  
    // }
   $text = '';
   $query = new WP_Query($args);
   if ($query->have_posts()):
    $postN = 0;

    while ($query->have_posts()) : $query->the_post();
        $lz_fitness_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
        $post = get_post();
        ?>
        <!-- <div class="row"> -->
            <div class="<?php echo $colCls; ?> wow zoomIn innerpage-resp-none">
                <div class="single-treatment-bx">
                    <div class="single-treatment-icon">
                        <div class="front-content">
                            <i class="<?php echo $treatment_icon1; ?>"></i>
                            <h3><?php the_title(); ?></h3>
                            <p><?php 
                            if(has_excerpt()){
                                echo get_the_excerpt();
                            }else{
                                echo lz_fitness_excerpt( get_the_content() , 60 );
                            }
                            ?></p>
                        </div>
                    </div>
                    <div class="single-treatment-content">
                        <div class="single-treatment-c">
                            <div class="back-content">
                               <i class="<?php echo $treatment_icon1; ?>"></i>
                               <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                               <p><?php 
                               if(has_excerpt()){
                                echo get_the_excerpt();
                            }else{
                                echo lz_fitness_excerpt( get_the_content() , 60 );
                            }
                            ?></p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
        <!-- for innerpage treatments -->

        <div class="col-md-4 col-sm-6 col-xs-12 home-treat-none">
            <div class="box">
                <figure class="text-center">
                    <?php
                    if (has_post_thumbnail()) {
                        $image_url = $lz_fitness_image[0];
                    } else {
                        $image_url = get_template_directory_uri() . '/images/project.jpg';
                    }
                    ?>                                                          
                    <img class="secondry-bg img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                    <figcaption>
                        <h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
                        <p><?php 
                        if(has_excerpt()){
                            echo get_the_excerpt();
                        }else{
                            echo lz_fitness_excerpt( get_the_content() , 60 );
                        }
                        ?></p>
                        
                    </figcaption>
                </figure>
            </div>
            <script>
                jQuery.noConflict();
                $(function(){
                    function boxfigurefigcaptionHeight(){
                        var ht = 0;
                        $('div#content-box .box figure figcaption').each(function(i){
                            var tHt = $(this).height();
                            if(ht<tHt){
                                ht=tHt;
                            }
                        });
                        $('div#content-box .box figure figcaption').height(ht+'px');
                    }
                    boxfigurefigcaptionHeight();
                });
                $( window ).resize(function(){
                    boxfigurefigcaptionHeight();
                });
            </script>


        </div>
        <!-- for innerpage treatments -->
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}
//adding a shortcode for the team / trainer list 
add_shortcode('TREATMENTS', 'treatmentShortCode');
