<?php 

$wp_customize->add_panel(
	'lz_fitness_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'Luzuk Premium')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'Luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );
addColorPalatOption($wp_customize, 'header_siteTitle_color', 'title_tagline', 'Site Title Color', '#000000'); 
addColorPalatOption($wp_customize, 'header_sitetaglinetxt_color', 'title_tagline', 'Site Tagline Color', '#ffffff'); 

$wp_customize->add_setting(
    'LogoBox_color_one', array(
        'default'           => '#4bc6e5',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'LogoBox_color_one',array(
            'settings'      => 'LogoBox_color_one',
            'section'       => 'title_tagline',
            'label'         => __( 'Logo Box Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'LogoBox_color_two', array(
        'default'           => '#3cdfe8',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'LogoBox_color_two',array(
            'settings'      => 'LogoBox_color_two',
            'section'       => 'title_tagline',
            'label'         => __( 'Logo Box Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 

$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '100', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Max Width', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'pages_logoPosFrmTop',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '5px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pages_logoPosFrmTop',
    array(
        'settings'      => 'pages_logoPosFrmTop',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Position From Top', 'Luzuk' )
    )
);
//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'lz_fitness_sticky_header_enable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_sticky_header_enable',
        array(
            'settings'      => 'lz_fitness_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);


 
lzCustomLable($wp_customize, 'main_header_settings', 'header_settings', ' Set Complete Header Padding:');

$wp_customize->add_setting(
	'pages_logoTmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoTmargin',
	array(
		'settings'      => 'pages_logoTmargin',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Top Padding', 'Luzuk' )
	)
);
$wp_customize->add_setting(
	'pages_logoBmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '25px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoBmargin',
	array(
		'settings'      => 'pages_logoBmargin',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Bottom Padding', 'Luzuk' )
	)
);
$wp_customize->add_setting(
	'pages_logoLmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '25px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoLmargin',
	array(
		'settings'      => 'pages_logoLmargin',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Left Padding', 'Luzuk' )
	)
);
$wp_customize->add_setting(
	'pages_logoRmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '100px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoRmargin',
	array(
		'settings'      => 'pages_logoRmargin',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Right Padding', 'Luzuk' )
	)
);


// for gradiant

$wp_customize->add_setting(
    'header_bg_color_one', array(
        'default'           => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'header_bg_color_one',array(
            'settings'      => 'header_bg_color_one',
            'section'       => 'header_settings',
            'label'         => __( 'Header Background Color', 'Luzuk Premium' ),
        )
    )
);


lzCustomLable($wp_customize, 'main_headercom_settings', 'header_settings', ' Set Header Content Box Padding:');

$wp_customize->add_setting(
    'RightHeaderTPadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '19px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'RightHeaderTPadding',
    array(
        'settings'      => 'RightHeaderTPadding',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'RightHeaderBPadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '19px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'RightHeaderBPadding',
    array(
        'settings'      => 'RightHeaderBPadding',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);


lzCustomLable($wp_customize, 'main_headersocial_settings', 'header_settings', 'Social Media Links:');



// FACEBOOK 
$wp_customize->add_setting('header_fb',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_fb',
	array(
		'settings'      => 'header_fb',
		'section'       => 'header_settings',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'Luzuk' )
	)
);
// TWITTER
$wp_customize->add_setting('header_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_tw',
	array(
		'settings'      => 'header_tw',
		'section'       => 'header_settings',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'Luzuk' )
	)
);
// LINKED IN
$wp_customize->add_setting('header_insta',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_insta',
	array(
		'settings'      => 'header_insta',
		'section'       => 'header_settings',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'Luzuk' )
	)
);

// Instagram
$wp_customize->add_setting('header_in', array('default' => 'https://www.instagram.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_in',
	array(
		'settings'      => 'header_in',
		'section'       => 'header_settings',
		'type'          => 'url',
		'label'         => __( 'Instagram Url', 'Luzuk' )
	)
);

addColorPalatOption($wp_customize, 'headerallSocialsC_color', 'header_settings', 'Socials Color', '#817f80'); 
addColorPalatOption($wp_customize, 'headerallSocialsCHvrs_color', 'header_settings', 'Socials Hover Color', '#35c1e4'); 



lzCustomLable($wp_customize, 'header_button_displayisplay', 'header_settings', 'Button Display, Button Text & Button Colors Setting:');
// to show & hide another button
$wp_customize->add_setting( 'header1_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'header1_button_display', array( 'label' => 'Button Display', 'section' => 'header_settings', 'settings' => 'header1_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button


$wp_customize->add_setting(
        'header_top_btn',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Get appointment', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'header_top_btn',
        array(
            'settings'      => 'header_top_btn',
            'section'       => 'header_settings',
            'type'          => 'text',
            'label'         => __( 'Add Button Text Here', 'Luzuk' )
        )
    ); 
$wp_customize->add_setting('header_top_btn_link',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_top_btn_link',
    array(
        'settings'      => 'header_top_btn_link',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Add Button Url Here:', 'Luzuk' )
    )
);
addColorPalatOption($wp_customize, 'header_buttontextColor', 'header_settings', 'Button Text Color', '#ffffff'); 
addColorPalatOption($wp_customize, 'header_buttontexthvrColor', 'header_settings', 'Button Text Hover Color', '#fff');



$wp_customize->add_setting(
    'Header_Bgssbutton_color_one', array(
        'default'           => '#31c2e4',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Header_Bgssbutton_color_one',array(
            'settings'      => 'Header_Bgssbutton_color_one',
            'section'       => 'header_settings',
            'label'         => __( 'Button Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'Header_Bgssbutton_color_two', array(
        'default'           => '#28d8e5',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Header_Bgssbutton_color_two',array(
            'settings'      => 'Header_Bgssbutton_color_two',
            'section'       => 'header_settings',
            'label'         => __( 'Button Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 


$wp_customize->add_setting(
    'Header_HoverBgssbutton_color_one', array(
        'default'           => '#28d8e5',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Header_HoverBgssbutton_color_one',array(
            'settings'      => 'Header_HoverBgssbutton_color_one',
            'section'       => 'header_settings',
            'label'         => __( 'Button Hover Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'Header_HoverBgssbutton_color_two', array(
        'default'           => '#31c2e4',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Header_HoverBgssbutton_color_two',array(
            'settings'      => 'Header_HoverBgssbutton_color_two',
            'section'       => 'header_settings',
            'label'         => __( 'Button Hover Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 

lzCustomLable($wp_customize, 'header_OtherC', 'header_settings', 'Other Colors:');


addColorPalatOption($wp_customize, 'headercurrentmenu_color', 'header_settings', 'Header Current Menu Color', '#ffffff'); 

$wp_customize->add_setting(
    'headeractive_bg_color_one', array(
        'default'           => '#36c1e2',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'headeractive_bg_color_one',array(
            'settings'      => 'headeractive_bg_color_one',
            'section'       => 'header_settings',
            'label'         => __( 'Active & Hover Menu Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'headeractive_bg_color_two', array(
        'default'           => '#52e0ea',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'headeractive_bg_color_two',array(
            'settings'      => 'headeractive_bg_color_two',
            'section'       => 'header_settings',
            'label'         => __( 'Active & Hover Menu Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 


addColorPalatOption($wp_customize, 'headermenu_color', 'header_settings', 'Header Menu Color', '#262626');
addColorPalatOption($wp_customize, 'headerhovermenu_color', 'header_settings', 'Header Menu Hover Color', '#ffffff');
addColorPalatOption($wp_customize, 'headersubmenubgss_color', 'header_settings', 'Header Dropdown Background Color', '#ffffff');

addColorPalatOption($wp_customize, 'headersubmenubgssBrs_color', 'header_settings', 'Header Dropdown Border Color', '#52e0ea');

addColorPalatOption($wp_customize, 'headersubmenu_color', 'header_settings', 'Header Sub Menu Color', '#262626');
addColorPalatOption($wp_customize, 'headersubmenuhover_color', 'header_settings', 'Header Sub Menu hover Color', '#ffffff');
addColorPalatOption($wp_customize, 'headersubmenuborderc_color', 'header_settings', 'Header Sub Menu Hover Border Color', '#ffffff');
addColorPalatOption($wp_customize, 'headerdropdowncurrentsubmenu_color', 'header_settings', 'Header Current Sub Menu Color', '#ffffff');
addColorPalatOption($wp_customize, 'togglebarctmainborder_color', 'header_settings', 'Select Toggle Bar Color for  tablets and mobile view', '#3edae7');
addColorPalatOption($wp_customize, 'navigationboxbgssresponsive_color', 'header_settings', 'Select Navigation Box Background Color for  tablets and mobile view', '#ffffff');
addColorPalatOption($wp_customize, 'navigationboxbgssresponsivebrss_color', 'header_settings', 'Select Navigation Box Border Color for  tablets and mobile view', '#36c1e2');





//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'Luzuk Premium'),
	'panel' => 'lz_fitness_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'lz_fitness_template_color', 'colors', 'Theme Primary Color', '#49c9e5');
//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#15737b');

lzCustomLable($wp_customize, 'lz_fitness_allinnerpagesec_colordisplaysettdisplay', 'colors', 'Color Setting For Innerpage Colors:');

addColorPalatOption($wp_customize, 'innerpage_titlecolor', 'colors', 'Inner page title color', '#fff');



$wp_customize->add_setting(
    'InnerPageTitleBgss_color_one', array(
        'default'           => '#31cbe0',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'InnerPageTitleBgss_color_one',array(
            'settings'      => 'InnerPageTitleBgss_color_one',
            'section'       => 'colors',
            'label'         => __( 'Inner Page Title Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'InnerPageTitleBgss_color_two', array(
        'default'           => '#52e0ea',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'InnerPageTitleBgss_color_two',array(
            'settings'      => 'InnerPageTitleBgss_color_two',
            'section'       => 'colors',
            'label'         => __( 'Inner Page Title Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 

addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionbox_color', 'colors', 'Inner Page Box Background color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionboxheading1_color', 'colors', 'Heading1 color', '#2e2e2e');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionboxheading2_color', 'colors', 'Heading2 color', '#2e2e2e');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionboxheading3_color', 'colors', 'Heading3 color', '#2e2e2e');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionboxheading4_color', 'colors', 'Heading4 color', '#2e2e2e');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionboxheading5_color', 'colors', 'Heading5 color', '#2e2e2e');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionboxheading6_color', 'colors', 'Heading6 color', '#2e2e2e');

addColorPalatOption($wp_customize, 'innerpagemainsectionboxtext_color', 'colors', 'Inner Page Text color', '#737373');

addColorPalatOption($wp_customize, 'innerpagemainsectionboxtextlinks_color', 'colors', 'Inner Page Links color', '#777777');
addColorPalatOption($wp_customize, 'innerpagemainsectionboxtextlinkshvrs_color', 'colors', 'Inner Page Links Hover color', '#31cbe0');

addColorPalatOption($wp_customize, 'innerpagemainsectionboxtextlinksicon_color', 'colors', 'Inner Page list number color', '#ffffff');
addColorPalatOption($wp_customize, 'innerpagemainsectionboxtextlinksiconbgssclr_color', 'colors', 'Inner Page list number Background color', '#31cbe0');

addColorPalatOption($wp_customize, 'innerpagemainsectionboxallbrss_color', 'colors', 'Inner Page Sidebar border color', '#e1e1e1');

//new
addColorPalatOption($wp_customize, 'rg_template_innerpagesidebardaybgsstxt_color', 'colors', 'Pages other fields Background color', '#ffffff');
addColorPalatOption($wp_customize, 'rg_template_innerpagesidebarallhvrsslinkstxtshvrc_color', 'colors', 'Pages buttons & other texts color', '#ffffff');

addColorPalatOption($wp_customize, 'PostsimgHoverOverlay_BgsColor', 'colors', 'Posts Image Hover Overlay Background Color', '#000000');


//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 

$wp_customize->add_setting(
        'lz_fitness_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_breadcrumbhometxt',
        array(
            'settings'      => 'lz_fitness_breadcrumbhometxt',
            'section'       => 'breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here:', 'luzuk' )
        )
    );

//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'innerpage_breadcrumbtitlecolor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Title Color', '#31cbe0');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'innerpage_breadcrumbcurrenttitlecolor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Current Title Color', '#31cbe0');
addColorPalatOption($wp_customize, 'innerpage_breadcrumbcurrenttitlehovercolor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Current Title Hover Color', '#15737b');

addColorPalatOption($wp_customize, 'innerpage_breadcrumbBgssColor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Background Color', '#ffffff');
addColorPalatOption($wp_customize, 'innerpage_breadcrumbBgssBrssColor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Border Color', '#31cbe0');

 

// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'postpagedate_settings',
	array(
		'title' => __( 'Posts Page Date & Socials Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'postpagedate_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Date', 'hide' => 'Hide Post Date', ), ) ); 

// end to show & hide button

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postsocials_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postsocials_button_display', array( 'label' => 'Post socials Display', 'section' => 'postpagedate_settings', 'settings' => 'postsocials_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Socials', 'hide' => 'Hide Post Socials', ), ) ); 

// end to show & hide button

//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_copyright_settings',
	array(
		'title' => __( 'Footer Copyright Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

$wp_customize->add_setting(
	'footer_copyrighttext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Copyright 2020@doctorclinic-All right reserved', 'Luzuk Premium' )
	) 
);
$wp_customize->add_control(
	'footer_copyrighttext',
	array(
		'settings'      => 'footer_copyrighttext',
		'section'       => 'footer_copyright_settings',
		'type'          => 'textarea',
		'label'         => __( 'Footer Copyright Text', 'Luzuk Premium' )
	)
);
addColorPalatOption($wp_customize, 'footer_copyrighttext_color', 'footer_copyright_settings', 'Copyright Footer Text Color', '#15737b');

lzCustomLable($wp_customize, 'FooterSectionPaddingSetting', 'footer_copyright_settings', 'Set Footer Top & Bottom Padding');

$wp_customize->add_setting(
    'FooterTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '80px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'FooterTpadding',
    array(
        'settings'      => 'FooterTpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'FooterBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '40px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'FooterBpadding',
    array(
        'settings'      => 'FooterBpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'FooterSectionBox_bg_color_one', array(
        'default'           => '#33c6e2',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'FooterSectionBox_bg_color_one',array(
            'settings'      => 'FooterSectionBox_bg_color_one',
            'section'       => 'footer_copyright_settings',
            'label'         => __( 'Footer Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'FooterSectionBox_bg_color_two', array(
        'default'           => '#34c2e1',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'FooterSectionBox_bg_color_two',array(
            'settings'      => 'FooterSectionBox_bg_color_two',
            'section'       => 'footer_copyright_settings',
            'label'         => __( 'Footer Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 




//theme Footer title Color
addColorPalatOption($wp_customize, 'footer_title_color', 'footer_copyright_settings', 'Footer Title Color', '#fff');

//theme Footer icon Color
addColorPalatOption($wp_customize, 'footer_icon_color', 'footer_copyright_settings', 'Footer Icon Color', '#50757b');
//theme Footer icon hover Color
addColorPalatOption($wp_customize, 'footer_iconhover_color', 'footer_copyright_settings', 'Footer Icon Hover Color', '#fff');

//theme Footer text Color
addColorPalatOption($wp_customize, 'footer_text_color', 'footer_copyright_settings', 'Footer Text Color', '#ffffff');


addColorPalatOption($wp_customize, 'footer_menu_color', 'footer_copyright_settings', 'Footer Menu Color', '#ffffff');

//theme Footer menu hover Color
addColorPalatOption($wp_customize, 'footer_menuhover_color', 'footer_copyright_settings', 'Footer Menu Hover Color', '#ffffff');

//theme Footer menu date Color
addColorPalatOption($wp_customize, 'footer_menudate_color', 'footer_copyright_settings', 'Footer Menu Date Text Color', '#15737b');

//theme Footer social Color
addColorPalatOption($wp_customize, 'footer_social_color', 'footer_copyright_settings', 'Footer Social Color', '#636361');

//theme Footer social Hover Color
addColorPalatOption($wp_customize, 'footer_socialhover_color', 'footer_copyright_settings', 'Footer Social Hover Color', '#ffffff');

//theme Footer table text Color
addColorPalatOption($wp_customize, 'footer_tabletext_color', 'footer_copyright_settings', 'Footer Table Text Color', '#ffffff');
//theme Footer table border Color
addColorPalatOption($wp_customize, 'footer_tableborder_color', 'footer_copyright_settings', 'Footer Table Border Color', '#ffffff');

addColorPalatOption($wp_customize, 'footer_formlabeltxt_color', 'footer_copyright_settings', 'Footer Form label Text Color', '#ffffff');

//theme Footer form Color
addColorPalatOption($wp_customize, 'footer_form_color', 'footer_copyright_settings', 'Footer Form Text & Placeholder Text Color', '#15737b');

//theme Footer form border Color
addColorPalatOption($wp_customize, 'footer_formborder_color', 'footer_copyright_settings', 'Footer Form text field background Color', '#fff');


//theme Footer form button Color
addColorPalatOption($wp_customize, 'footer_formbtn_color', 'footer_copyright_settings', 'Footer Form Button Text Color', '#35bfe3');

//theme Footer Form Button Background Color
addColorPalatOption($wp_customize, 'footer_formbtnbg_color', 'footer_copyright_settings', 'Footer Form Button Background Color', '#ffffff');


addColorPalatOption($wp_customize, 'footer_formallotherfbgss_color', 'footer_copyright_settings', 'Footer Other Fields Background Color', '#15737b');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'lz_fitness_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);


// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'lz_fitness_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Sidebar', 'hide' => 'Hide Sidebar', ), ) ); 
// end to show & hide button

//addColorPalatOption($wp_customize, 'lz_fitness_shoppageheaderbg_color', 'lz_fitness_shopsidebar_settings', 'Shop Pages Top Header Background Color', '#2e2e2e');


$wp_customize->add_section(
	'innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'Luzuk' ),
		'panel' => 'lz_fitness_general_panel',
	)
); 

lzCustomLable($wp_customize, 'treatments_servicepageclrdisplay', 'innerpageshortcode_page_settings', 'Set Treatments Shortcode Page Colors:'); 

lzCustomLable($wp_customize, 'Treatments_imgnote', 'innerpageshortcode_page_settings', 'Note: Set  Treatments images of equal height');

addColorPalatOption($wp_customize, 'TreatmentsInner_NameColor', 'innerpageshortcode_page_settings', 'Select Treatments Name Text Color', '#121212');
addColorPalatOption($wp_customize, 'TreatmentsInner_NameHoverColor', 'innerpageshortcode_page_settings', 'Select Treatments Name Text Hover Color', '#4bc6e5');
addColorPalatOption($wp_customize, 'TreatmentsInner_ContentColor', 'innerpageshortcode_page_settings', 'Select Treatments Content color', '#121212');
addColorPalatOption($wp_customize, 'TreatmentsInner_BoxBgssColor', 'innerpageshortcode_page_settings', 'Select Treatments Box Background color', '#fff');

$wp_customize->add_setting(
    'TreatmentBxInnerHoverColorOne', array(
        'default'           => '#36c1e2',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'TreatmentBxInnerHoverColorOne',array(
            'settings'      => 'TreatmentBxInnerHoverColorOne',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Treatments Box Hover Border Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'TreatmentBxInnerHoverColorTwo', array(
        'default'           => '#24dae5',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'TreatmentBxInnerHoverColorTwo',array(
            'settings'      => 'TreatmentBxInnerHoverColorTwo',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Treatments Box Hover Border Color Two', 'Luzuk Premium' ),
        )
    )
); 


lzCustomLable($wp_customize, 'TeamPageColorDispaly', 'innerpageshortcode_page_settings', 'Set Team Shortcode Page Colors:');

$wp_customize->add_setting(
    'TeamContentBoxBgsColorOne', array(
        'default'           => '#36c1e2',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'TeamContentBoxBgsColorOne',array(
            'settings'      => 'TeamContentBoxBgsColorOne',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Team Content Box Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'TeamContentBoxBgsColorTwo', array(
        'default'           => '#52e0ea',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'TeamContentBoxBgsColorTwo',array(
            'settings'      => 'TeamContentBoxBgsColorTwo',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Team Content Box Background Color Two', 'Luzuk Premium' ),
        )
    )
); 

addColorPalatOption($wp_customize, 'TeamMemberNameTextColor', 'innerpageshortcode_page_settings', 'Select Name Text color', '#fff');
addColorPalatOption($wp_customize, 'TeamMemberDesignationTextColor', 'innerpageshortcode_page_settings', 'Select Designation Text color', '#fff');
addColorPalatOption($wp_customize, 'TeamMemBoxIconColor', 'innerpageshortcode_page_settings', 'Select Icon color', '#fff');

addColorPalatOption($wp_customize, 'TeamBoxHoverContentColor', 'innerpageshortcode_page_settings', 'Select Team Box Hover Content color', '#757474');
addColorPalatOption($wp_customize, 'TeamBoxHoverSocialsColor', 'innerpageshortcode_page_settings', 'Select Team Box Hover Socials color', '#000');
addColorPalatOption($wp_customize, 'TeamBoxHoverSocialsHvrsColor', 'innerpageshortcode_page_settings', 'Select Team Box Hover Socials Hover color', '#3bc2e3');

addColorPalatOption($wp_customize, 'TeamBoxInnerBackgroundColor', 'innerpageshortcode_page_settings', 'Select Team Box Background color', '#ffffff');



lzCustomLable($wp_customize, 'TestimonialPageColorDisplay', 'innerpageshortcode_page_settings', 'Set Testimonial Shortcode Page Colors:'); 
 
addColorPalatOption($wp_customize, 'InnerTestimonialsImageBorderColor', 'innerpageshortcode_page_settings', 'Select Image Border Color', '#2e2e2e');
addColorPalatOption($wp_customize, 'TestimonialsNameTxtCColor', 'innerpageshortcode_page_settings', 'Select Name Text Color', '#2e2e2e');
addColorPalatOption($wp_customize, 'TestimonialsDesignaColor', 'innerpageshortcode_page_settings', 'Select Designation Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'TestimonialsContentColor', 'innerpageshortcode_page_settings', 'Select Content Color', '#ffffff');


$wp_customize->add_setting(
    'TestimonialsInnerBox_bg_color_one', array(
        'default'           => '#4ec7e6',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'TestimonialsInnerBox_bg_color_one',array(
            'settings'      => 'TestimonialsInnerBox_bg_color_one',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Testimonial Box Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'TestimonialsInnerBox_bg_color_two', array(
        'default'           => '#52e0ea',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'TestimonialsInnerBox_bg_color_two',array(
            'settings'      => 'TestimonialsInnerBox_bg_color_two',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Testimonial Box Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 


 
lzCustomLable($wp_customize, 'galleryinnerpagepageclrdisplay', 'innerpageshortcode_page_settings', 'Set Gallery Shortcode Page Colors:'); 
$wp_customize->add_setting(
    'galleryimgcompletebgssColor', array(
        'default'           => '#22b9dc',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'galleryimgcompletebgssColor',array(
            'settings'      => 'galleryimgcompletebgssColor',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Select Gallery Image Border color One', 'Luzuk Premium' ),
        )
    )
);
  $wp_customize->add_setting(
    'galleryimgcompletebgssColor2', array(
        'default'           => '#28dae6',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'galleryimgcompletebgssColor2',array(
            'settings'      => 'galleryimgcompletebgssColor2',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Select Gallery Image Border Color Two', 'Luzuk Premium' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'galleryimgboxiconclrColor', 'innerpageshortcode_page_settings', 'Select Gallery Image Icon color', '#ffffff');
addColorPalatOption($wp_customize, 'galleryimgboxiconhoverclrColor', 'innerpageshortcode_page_settings', 'Select Gallery Image Icon Hover color', '#121212');
addColorPalatOption($wp_customize, 'galleryimgboxiconbgssColor', 'innerpageshortcode_page_settings', 'Select Gallery Image Icon Background color', '#31cbe0');
addColorPalatOption($wp_customize, 'galleryimgboxiconhoverbgssColor', 'innerpageshortcode_page_settings', 'Select Gallery Image Icon Hover Background color', '#ffffff');

addColorPalatOption($wp_customize, 'galleryimgboxiconallbrssColor', 'innerpageshortcode_page_settings', 'Select Gallery Image Icon Border color', '#ffffff');

addColorPalatOption($wp_customize, 'galleryimgboxiconhoverbordebgssColor', 'innerpageshortcode_page_settings', 'Select Gallery Image Icon Hover Border color', '#31cbe0');



lzCustomLable($wp_customize, 'FaqColorsDisplay', 'innerpageshortcode_page_settings', 'Set Faq Shortcode Page Colors:');

addColorPalatOption($wp_customize, 'FaqIconColor', 'innerpageshortcode_page_settings', 'Faq Icon Color', '#8c8c8c');
addColorPalatOption($wp_customize, 'FaqQuesTextColor', 'innerpageshortcode_page_settings', 'Faq Question Text Color', '#8c8c8c');
addColorPalatOption($wp_customize, 'FaqQuesTextBxBgsColor', 'innerpageshortcode_page_settings', 'Faq Question Text Box Background Color', '#f4f4f4');
addColorPalatOption($wp_customize, 'FaqAnswTextColor', 'innerpageshortcode_page_settings', 'Faq Answer Text Color', '#8c8c8c');

addColorPalatOption($wp_customize, 'FaqActiveIconColor', 'innerpageshortcode_page_settings', 'Active Faq Question Icon Color', '#fff');
addColorPalatOption($wp_customize, 'FaqActiveQuesTextColor', 'innerpageshortcode_page_settings', 'Active Faq Question Text Color', '#fff');


$wp_customize->add_setting(
    'FaqQuestionBx_color_one', array(
        'default'           => '#31cbe0',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'FaqQuestionBx_color_one',array(
            'settings'      => 'FaqQuestionBx_color_one',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Active Faq Question Box Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'FaqQuestionBx_color_two', array(
        'default'           => '#52e0ea',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'FaqQuestionBx_color_two',array(
            'settings'      => 'FaqQuestionBx_color_two',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Active Faq Question Box Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 



$wp_customize->add_section(
	'lz_fitness_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Fonts Settings', 'Luzuk' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'lz_fitness_innerpageh1_fontsizeset', 'lz_fitness_innerpagefont_settings', ' Heading 1:');


$wp_customize->add_setting(
	'pages_innerpageheading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '24px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading',
	array(
		'settings'      => 'pages_innerpageheading',
		'section'       => 'lz_fitness_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 1', 'Luzuk' )
	)
);


lzCustomLable($wp_customize, 'lz_fitness_innerpageh2_fontsizeset', 'lz_fitness_innerpagefont_settings', ' Heading 2:');


$wp_customize->add_setting(
	'pages_innerpageheading2',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '23px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading2',
	array(
		'settings'      => 'pages_innerpageheading2',
		'section'       => 'lz_fitness_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 2', 'Luzuk' )
	)
);


lzCustomLable($wp_customize, 'lz_fitness_innerpageh3_fontsizeset', 'lz_fitness_innerpagefont_settings', ' Heading 3:');


$wp_customize->add_setting(
	'pages_innerpageheading3',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '20px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading3',
	array(
		'settings'      => 'pages_innerpageheading3',
		'section'       => 'lz_fitness_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 3', 'Luzuk' )
	)
);

lzCustomLable($wp_customize, 'lz_fitness_innerpageh4_fontsizeset', 'lz_fitness_innerpagefont_settings', ' Heading 4:');


$wp_customize->add_setting(
	'pages_innerpageheading4',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '19px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading4',
	array(
		'settings'      => 'pages_innerpageheading4',
		'section'       => 'lz_fitness_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 4', 'Luzuk' )
	)
);

lzCustomLable($wp_customize, 'lz_fitness_innerpageh5_fontsizeset', 'lz_fitness_innerpagefont_settings', ' Heading 5:');


$wp_customize->add_setting(
	'pages_innerpageheading5',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '18px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading5',
	array(
		'settings'      => 'pages_innerpageheading5',
		'section'       => 'lz_fitness_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 5', 'Luzuk' )
	)
);

lzCustomLable($wp_customize, 'lz_fitness_innerpageh6_fontsizeset', 'lz_fitness_innerpagefont_settings', ' Heading 6:');


$wp_customize->add_setting(
	'pages_innerpageheading6',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '17px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading6',
	array(
		'settings'      => 'pages_innerpageheading6',
		'section'       => 'lz_fitness_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 6', 'Luzuk' )
	)
);

