<?php
    $wp_customize->add_section(
        'aboutdoctor_section',
        array(
            'title' => __( 'About Section', 'Luzuk' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'aboutdoctor_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'aboutdoctor_section_disable',
            array(
                'settings'      => 'aboutdoctor_section_disable',
                'section'       => 'aboutdoctor_section',
                'label'         => __( 'Disable Section', 'Luzuk' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'Luzuk' ),
                    'off' => __( 'No', 'Luzuk' )
                ),
            )
        )
    );
lzCustomLable($wp_customize, 'Complete_SectionBgs', 'aboutdoctor_section', 'Manage Background For Complete Section:');
backgroundManager($wp_customize, 'about', 'aboutdoctor_section', $color='#fff'); 


lzCustomLable($wp_customize, 'AboutDoctorSectionPadding', 'aboutdoctor_section', 'Set Section Top & Bottom Padding');

$wp_customize->add_setting(
    'aboutdoctorTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '6em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'aboutdoctorTpadding',
    array(
        'settings'      => 'aboutdoctorTpadding',
        'section'       => 'aboutdoctor_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'aboutdoctorBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '8em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'aboutdoctorBpadding',
    array(
        'settings'      => 'aboutdoctorBpadding',
        'section'       => 'aboutdoctor_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);


lzCustomLable($wp_customize, 'About_LeftContentDispaly', 'aboutdoctor_section', 'Set Background Color For Left Content Box:');

$wp_customize->add_setting(
    'About_ContentBx_color_one', array(
        'default'           => '#52e0ea',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'About_ContentBx_color_one',array(
            'settings'      => 'About_ContentBx_color_one',
            'section'       => 'aboutdoctor_section',
            'label'         => __( 'Content Box Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'About_ContentBx_color_two', array(
        'default'           => '#58d7e8',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'About_ContentBx_color_two',array(
            'settings'      => 'About_ContentBx_color_two',
            'section'       => 'aboutdoctor_section',
            'label'         => __( 'Content Box Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 

lzCustomLable($wp_customize, 'aboutdoctoricondisplay', 'aboutdoctor_section', 'Icon Display & Its Color Setting:');
// to show & hide another button
$wp_customize->add_setting( 'aboutdoctoricon_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'aboutdoctoricon_display', array( 'label' => 'Icon Display', 'section' => 'aboutdoctor_section', 'settings' => 'aboutdoctoricon_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Icon', 'hide' => 'Hide Icon', ), ) ); 
// end to show & hide button
addColorPalatOption($wp_customize, 'AboutDoctor_IconColor', 'aboutdoctor_section', 'Icon color', '#7ddaec');

$wp_customize->add_setting(
        'aboutdoctor_title_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'aboutdoctor_title_heading',
            array(
                'settings'      => 'lz_fitness_aboutconstruction_title_heading',
                'section'       => 'aboutdoctor_section',
                'label'         => __( 'About Details', 'Luzuk' ),
            )
        )
    );   

        $wp_customize->add_setting(
        'aboutdoctor_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Aria Madelyn', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'aboutdoctor_title',
        array(
            'settings'      => 'aboutdoctor_title',
            'section'       => 'aboutdoctor_section',
            'type'          => 'text',
            'label'         => __( 'Add Name Text Here', 'Luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'AboutDoctor_NameColor', 'aboutdoctor_section', 'Name Text color', '#fff');

        $wp_customize->add_setting(
        'aboutdoctor_texts_subtitle',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Department Head.Medicine', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'aboutdoctor_texts_subtitle',
        array(
            'settings'      => 'aboutdoctor_texts_subtitle',
            'section'       => 'aboutdoctor_section',
            'type'          => 'text',
            'label'         => __( 'Add Department Text Here', 'Luzuk' )
        )
    );
    addColorPalatOption($wp_customize, 'AboutDoctor_DesignationColor', 'aboutdoctor_section', 'Department Text color', '#537a83');

        $wp_customize->add_setting(
        'aboutdoctor_subheading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse ultrices gravida. Risus commodo viverra maecenas accumsan lacus vel facilisis. ', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'aboutdoctor_subheading',
        array(
            'settings'      => 'aboutdoctor_subheading',
            'section'       => 'aboutdoctor_section',
            'type'          => 'textarea',
            'label'         => __( 'Add Content Here', 'Luzuk' )
        )
    );
addColorPalatOption($wp_customize, 'AboutDoctor_ContentColor', 'aboutdoctor_section', 'Content color', '#21585f');

lzCustomLable($wp_customize, 'About_SignatureImageDispaly', 'aboutdoctor_section', 'Signature Image:');


      $wp_customize->add_setting(
        'aboutdoctor_imagesign',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'aboutdoctor_imagesign',
            array(
                'section' => 'aboutdoctor_section',
                'settings' => 'aboutdoctor_imagesign',
                'description' => __('', 'Luzuk')
            )
        )
    );

    


lzCustomLable($wp_customize, 'About_RightImageDispaly', 'aboutdoctor_section', 'Right Image:');


      $wp_customize->add_setting(
        'aboutdoctor_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'aboutdoctor_image',
            array(
                'section' => 'aboutdoctor_section',
                'settings' => 'aboutdoctor_image',
                'description' => __('', 'Luzuk')
            )
        )
    );


lzCustomLable($wp_customize, 'imagehovericonbuttondisplay', 'aboutdoctor_section', 'Image Hover Button Display:');
// to show & hide another button
$wp_customize->add_setting( 'imagehovericon_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'imagehovericon_button_display', array( 'label' => 'Button Display', 'section' => 'aboutdoctor_section', 'settings' => 'imagehovericon_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button


$wp_customize->add_setting('aboutdoctorlink',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('aboutdoctorlink',
    array(
        'settings'      => 'aboutdoctorlink',
        'section'       => 'aboutdoctor_section',
        'type'          => 'url',
        'label'         => __( 'Add Link For Image Hover Button:', 'Luzuk' )
    )
);    


addColorPalatOption($wp_customize, 'AboutDoctor_ImagIconColor', 'aboutdoctor_section', 'Image Hover Button Color', '#fff');

$wp_customize->add_setting(
    'About_ImagIcon_color_one', array(
        'default'           => '#52e0ea',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'About_ImagIcon_color_one',array(
            'settings'      => 'About_ImagIcon_color_one',
            'section'       => 'aboutdoctor_section',
            'label'         => __( 'Image Hover Button Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'About_ImagIcon_color_two', array(
        'default'           => '#58d7e8',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'About_ImagIcon_color_two',array(
            'settings'      => 'About_ImagIcon_color_two',
            'section'       => 'aboutdoctor_section',
            'label'         => __( 'Image Hover Button Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 
