<?php   

$SliderSingleChoice = getFitnessPostsType('slider');

$wp_customize->add_section(
	'slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'lz_fitness_premium_home_panel',
		'priority' =>18
	)
);

$wp_customize->add_setting(
	'slider_section_show_content',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'slider_section_show_content',
		array(
			'settings'      => 'slider_section_show_content',
			'section'       => 'slider_section',
			'label'         => __( 'Hide Title and description on slider', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'Luzuk' ),
				'off' => __( 'Yes', 'Luzuk' )
			),
		)
	)
);

$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Info_Text( 
		$wp_customize,
		'slider_section_lbl',
		array(
			'settings'		=> 'slider_section_lbl',
			'section'		=> 'slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu.', 'Luzuk' ),
		)
	)
);

$wp_customize->add_setting(
    'slider_bg_color_one', array(
        'default'           => '#09bfea',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'slider_bg_color_one',array(
            'settings'      => 'slider_bg_color_one',
            'section'       => 'slider_section',
            'label'         => __( 'Slider Overlay Background Color', 'Luzuk Premium' ),
        )
    )
);

addColorPalatOption($wp_customize, 'slider_TitleColor', 'slider_section', 'Slider Title Color', '#fff');
addColorPalatOption($wp_customize, 'slider_SubtitleColor', 'slider_section', 'Slider Sub Title Color', '#254b54');

lzCustomLable($wp_customize, 'lz_fitness_sliderotherclrs', 'slider_section', 'Set button colors:');

// Slider Button Text color
addColorPalatOption($wp_customize, 'slider_buttontextColor', 'slider_section', 'Slider Button Text Color', '#35c0df');
addColorPalatOption($wp_customize, 'slider_buttontexthvrColor', 'slider_section', 'Slider Button Text Hover Color', '#fff');
addColorPalatOption($wp_customize, 'slider_buttonbgsshmpColor', 'slider_section', 'Slider Button Background Color', '#fff');



$wp_customize->add_setting(
    'slider_buttonh_color_one', array(
        'default'           => '#35c1e2',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'slider_buttonh_color_one',array(
            'settings'      => 'slider_buttonh_color_one',
            'section'       => 'slider_section',
            'label'         => __( 'Slider Button Hover Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'slider_buttonh_color_two', array(
        'default'           => '#35c1e200',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'slider_buttonh_color_two',array(
            'settings'      => 'slider_buttonh_color_two',
            'section'       => 'slider_section',
            'label'         => __( 'Slider Button Hover Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 


addColorPalatOption($wp_customize, 'slider_HoverPrevNxtBtnColor', 'slider_section', 'Slider Hover Prev & Next Button Color', '#35c1e2');
addColorPalatOption($wp_customize, 'slider_HoverPrevNxtBtnBgsColor', 'slider_section', 'Slider Hover Prev & Next Button Background Color', '#fff');


addColorPalatOption($wp_customize, 'slider_PrevNxtBtnHoverCColor', 'slider_section', 'Slider Hover Prev & Next Button Hover Color', '#fff');
addColorPalatOption($wp_customize, 'slider_HoverPrevNxtBtnBgsHoverColor', 'slider_section', 'Slider Hover Prev & Next Button Hover Background Color', '#000000');