<?php   
$wp_customize->add_section(
    'treatment_section',
    array(
        'title'         => __( 'Treatments Section', 'Luzuk' ),
        'panel'   => 'lz_fitness_premium_home_panel',
    )
);
$wp_customize->add_setting(
    'treatment_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'treatment_section_disable',
        array(
            'settings'      => 'treatment_section_disable',
            'section'       => 'treatment_section',
            'label'         => __( 'Disable Section', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            )   
        )
    )
);
backgroundManager($wp_customize, 'treatment', 'treatment_section', $color='#fff');


lzCustomLable($wp_customize, 'treatmentSectionPaddingSetting', 'treatment_section', 'Section Top & Bottom Padding:');

$wp_customize->add_setting(
    'treatmentTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '6em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'treatmentTpadding',
    array(
        'settings'      => 'treatmentTpadding',
        'section'       => 'treatment_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'treatmentBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'treatmentBpadding',
    array(
        'settings'      => 'treatmentBpadding',
        'section'       => 'treatment_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'treatment_title_subtitle_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'treatment_title_subtitle_heading',
        array(
            'settings'      => 'treatment_title_subtitle_heading',
            'section'       => 'treatment_section',
            'label'         => __( 'Section Title', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting(
    'treatment_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Our Treatment', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'treatment_title',
    array(
        'settings'      => 'treatment_title',
        'section'       => 'treatment_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'Luzuk' )
    )
);


addColorPalatOption($wp_customize, 'TreatmentSectionTitle', 'treatment_section', 'Select Section Title color', '#36c0e2');

$wp_customize->add_setting(
    'TreatmentSectionTitleBg_color_one', array(
        'default'           => '#e9fdfe',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'TreatmentSectionTitleBg_color_one',array(
            'settings'      => 'TreatmentSectionTitleBg_color_one',
            'section'       => 'treatment_section',
            'label'         => __( 'Section Title Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'TreatmentSectionTitleBg_color_two', array(
        'default'           => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'TreatmentSectionTitleBg_color_two',array(
            'settings'      => 'TreatmentSectionTitleBg_color_two',
            'section'       => 'treatment_section',
            'label'         => __( 'Section Title Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 

/*for note text*/
$wp_customize->add_setting('treatment_sectionnoteser_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'treatment_sectionnoteser_lbl',
        array(
            'settings'      => 'treatment_sectionnoteser_lbl',
            'section'       => 'treatment_section',
            'label'         => __( 'Note1:', 'Luzuk' ),    
            'description'   => __( 'Just place the shortcode "[TREATMENTS]" in your page to Show all treatments in a page', 'Luzuk' ),
        )
    )
);
/*for note text*/

/*for note text*/
$wp_customize->add_setting('treatment_sectionnoteser_lbl2', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'treatment_sectionnoteser_lbl2',
        array(
            'settings'      => 'treatment_sectionnoteser_lbl2',
            'section'       => 'treatment_section',
            'label'         => __( 'Note1:', 'Luzuk' ),    
            'description'   => __( 'Changes will not reflect until you select FontAwesome Icon', 'Luzuk' ),
        )
    )
);
/*for note text*/


$wp_customize->add_setting('treatment_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'treatment_npp_heading',
        array(
            'settings'      => 'treatment_npp_heading',
            'section'       => 'treatment_section',
            'label'         => __( 'Set Number Of Treatments to show', 'Luzuk' ),
        )
    )
);    

$TreatmentsSingleChoice[] = 'Select';

$wp_customize->add_setting('treatment_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 5));
$wp_customize->add_control(
    'treatment_npp_count',
    array(
        'settings'      => 'treatment_npp_count',
        'section'       => 'treatment_section',
        'type'          => 'select',
        'label'         => __( 'Number of Treatments to show', 'Luzuk' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

// service PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'treatment_heading'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'treatment_heading'.$i,
            array(
                'settings'      => 'treatment_heading'.$i,
                'section'       => 'treatment_section',
                'label'         => __( 'Our Treatment', 'Luzuk' ).$i,
            )
        )
    );
    if(is_array($TreatmentsSingleChoice)){
        $wp_customize->add_setting(
            'treatment_page'.$i,
            array(
                'sanitize_callback' => 'absint'
            )
        );
        $wp_customize->add_control(
            'treatment_page'.$i,
            array(
                'settings'      => 'treatment_page'.$i,
                'section'       => 'treatment_section',
                'type'=> 'select',
                'label'         => __( 'Select a Treatment', 'Luzuk' ),
                'choices' => $TreatmentsSingleChoice,
            )
        );
$wp_customize->add_setting(
        'treatment_icon1'.$i,
        array(
            'default'           => 'fa fa-heartbeat',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'treatment_icon1'.$i,
            array(
                'settings'      => 'treatment_icon1'.$i,
                'section'       => 'treatment_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'Luzuk' ),
            )
        )
    );  


    }else{
        $wp_customize->add_setting('treatment_section_lbl'.$i, array('sanitize_callback'=>'lz_fitness_sanitize_text'));
        $wp_customize->add_control(
            new lz_fitness_Info_Text( 
                $wp_customize,
                'treatment_section_lbl'.$i,
                array(
                    'settings'      => 'treatment_section_lbl'.$i,
                    'section'       => 'treatment_section',
                    'label'         => __( 'Note:', 'Luzuk' ),  
                    'description'   => __( '<strong>Changes will not reflect unless you select the treatment.</strong> <br/>Please add the treatment from "Treatments menu" and then select treatment to show.', 'Luzuk' ),
                )
            )
        );
    }

}

addColorPalatOption($wp_customize, 'TreatmentSectionIconColor', 'treatment_section', 'Select Icon Color', '#36c0e2');
addColorPalatOption($wp_customize, 'TreatmentSectionIconHvrColor', 'treatment_section', 'Select Icon Hover Color', '#ffffff');

addColorPalatOption($wp_customize, 'TreatmentSectionPageTitleColor', 'treatment_section', 'Select Treatments Name Text Color', '#36c0e2');
addColorPalatOption($wp_customize, 'TreatmentSectionPageTitleHoverColor', 'treatment_section', 'Select Treatments Name Text Hover Color', '#ffffff');

addColorPalatOption($wp_customize, 'TreatmentSectionContentColor', 'treatment_section', 'Select Treatments Content Color', '#7b7b7b');
addColorPalatOption($wp_customize, 'TreatmentSectionContentHoverColor', 'treatment_section', 'Select Treatments Content Hover Color', '#7b7b7b');


addColorPalatOption($wp_customize, 'TreatmentBoxBackgroundColor', 'treatment_section', 'Select Treatments Box Background Color', '#fff');
addColorPalatOption($wp_customize, 'TreatmentBoxBorderColor', 'treatment_section', 'Select Treatments Box Border Color', '#36c0e2');
addColorPalatOption($wp_customize, 'TreatmentBoxBorderHoverColor', 'treatment_section', 'Select Treatments Box Hover Border Color', '#fff');


$wp_customize->add_setting(
    'TreatmentBoxBackground_color_one', array(
        'default'           => '#36c2e3',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'TreatmentBoxBackground_color_one',array(
            'settings'      => 'TreatmentBoxBackground_color_one',
            'section'       => 'treatment_section',
            'label'         => __( 'Treatment Box Hover Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'TreatmentBoxBackground_color_two', array(
        'default'           => '#28dae6',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'TreatmentBoxBackground_color_two',array(
            'settings'      => 'TreatmentBoxBackground_color_two',
            'section'       => 'treatment_section',
            'label'         => __( 'Treatment Box Hover Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 



lzCustomLable($wp_customize, 'TreatBoxHeightCSetting', 'treatment_section', 'Set Treatment Content Position From Top:');

$wp_customize->add_setting(
    'treatmentBoxContentPos', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '50px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'treatmentBoxContentPos',
    array(
        'settings'      => 'treatmentBoxContentPos',
        'section'       => 'treatment_section',
        'type'          => 'text',
        'label'         => __( 'Content Position From Top:', 'Luzuk' )
    )
);